Bug 208899 - With 1.2.4, re-enabling printer does not restart stopped jobs
With 1.2.4, re-enabling printer does not restart stopped jobs
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 11:36 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-03 11:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
cups error_log (279.62 KB, text/plain)
2006-10-02 11:36 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-10-02 11:36:07 EDT
Description of problem:

It appears that if a job causes a print queue to be disabled, re-enabling the
print queue does not cause the job to get printed and it gets stuck on the
queue.  Later jobs in the queue do print.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. disable print queue, say by power cycling the printer during comminucation
2. re-anable the queue after cups disables it
Actual results:
Job stays on queue

Expected results:
Job get printed.

I've attached the cups error log in debug mode from such an occurrence.   Job
frost-8526 is now stuck on the queue.
Comment 1 Orion Poplawski 2006-10-02 11:36:08 EDT
Created attachment 137554 [details]
cups error_log
Comment 2 Tim Waugh 2006-10-03 09:05:16 EDT
The backend crashed while the job was printing, and so the printer was disabled
and the job was stopped.  In order to print the job again the printer must be
re-enabled and the job restarted.  This can be done using the web interface at

The real problem is that the backend crashed in the first place.  Do you know
what caused that, and can you cause it to happen again?  If so it's something
that would be great to fix.
Comment 3 Orion Poplawski 2006-10-03 11:26:21 EDT
Okay, this is new behavior then.  Before when I restarted the queue, the job was
restarted automatically.  I can see the benefits of the new behavior (since the
job that caused the problem will likely do it again), but it was unexpected.

What's the command line tool to restart the job?

As for the crash is the first place, usually it has because of bug #189931 which
hangs the printer and requires a power cycle which then kills the print job and
disables the queue.  Not sure that was the case here though because I was able
to print the restarted job.
Comment 4 Tim Waugh 2006-10-03 11:29:22 EDT
Something like 'lp -i ID -H restart' I suppose.

Note You need to log in before you can comment on or make changes to this bug.